Gecode::MiniModel::PosSet Class Reference

Sets of positions. More...

## Public Member Functions

| PosSet (void)
| PosSet (int)
bool | in (int) const

## Static Public Member Functions

static PosSetCmp | cmp (PosSet *, PosSet *)
static PosSet * | cup (PosSetAllocator &, PosSet *, PosSet *)
Static Public Member Functions inherited from Gecode::Support::BlockClient< PosSet, Region >
static void * | operator new (size_t s, BlockAllocator< PosSet, Region, 512 > &ba)
| Allocate memory from block allocator ba.
static void | operator delete (void *, BlockAllocator< PosSet, Region, 512 > &ba)
| Noop (memory freed only when block allocator deleted).

## Public Attributes

int | pos
PosSet * | next

## Detailed Description

Sets of positions.

Definition at line 451 of file reg.cpp.

## Constructor & Destructor Documentation

## PosSet() [1/2]

Gecode::MiniModel::PosSet::PosSet | ( | void |  | ) |

inline

Definition at line 468 of file reg.cpp.

## PosSet() [2/2]

Gecode::MiniModel::PosSet::PosSet | ( | int | p | ) |

inline

Definition at line 470 of file reg.cpp.

## Member Function Documentation

## in()

bool Gecode::MiniModel::PosSet::in | ( | int | p | ) | const

inline

Definition at line 474 of file reg.cpp.

## cmp()

PosSetCmp Gecode::MiniModel::PosSet::cmp | ( | PosSet * | ps1,
|  | PosSet * | ps2 )

inline static

Definition at line 485 of file reg.cpp.

## cup()

PosSet * Gecode::MiniModel::PosSet::cup | ( | PosSetAllocator & | psm,
|  | PosSet * | ps1,
|  | PosSet * | ps2 )

static

Definition at line 501 of file reg.cpp.

## Member Data Documentation

## pos

int Gecode::MiniModel::PosSet::pos

Definition at line 456 of file reg.cpp.

## next

PosSet* Gecode::MiniModel::PosSet::next

Definition at line 456 of file reg.cpp.

The documentation for this class was generated from the following file:

- gecode/minimodel/reg.cpp